Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ess
Class ContentHints

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ess.ContentHints

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class ContentHints
extends ASN1Object

Constructor Summary
`ContentHints(ASN1ObjectIdentifier contentType)`
`ContentHints(ASN1ObjectIdentifier contentType, ASN1UTF8String contentDescription)`

Method Summary
`DERUTF8String` | `getContentDescription()` Deprecated. Use `getContentDescriptionUTF8()` instead.
`ASN1UTF8String` | `getContentDescriptionUTF8()`
`ASN1ObjectIdentifier` | `getContentType()`
`static ContentHints` | `getInstance(java.lang.Object o)`
`ASN1Primitive` | `toASN1Primitive()` ContentHints ::= SEQUENCE { contentDescription UTF8String (SIZE (1..MAX)) OPTIONAL, contentType ContentType }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentHints

    public ContentHints(ASN1ObjectIdentifier contentType)

### ContentHints

    public ContentHints(ASN1ObjectIdentifier contentType,
                        ASN1UTF8String contentDescription)

Method Detail

### getInstance

    public static ContentHints getInstance(java.lang.Object o)

### getContentType

    public ASN1ObjectIdentifier getContentType()

### getContentDescription

    public DERUTF8String getContentDescription()

  Deprecated. Use `getContentDescriptionUTF8()` instead.

### getContentDescriptionUTF8

    public ASN1UTF8String getContentDescriptionUTF8()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  ContentHints ::= SEQUENCE { contentDescription UTF8String (SIZE (1..MAX)) OPTIONAL, contentType ContentType }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD